# $Revision: 1.15 $, $Date: 2009/11/20 10:09:27 $
# NOTE:
# - sources are arch conditional as the filenames are same for both arch
%define		svnver  32603
Summary:	A WebKit powered web browser
Name:		chromium-browser-bin
Version:	4.0.254.0
Release:	0.%{svnver}.1
License:	BSD, LGPL v2+ (ffmpeg)
Group:		X11/Applications/Networking
# sh get_source.sh
#Source0:	http://build.chromium.org/buildbot/snapshots/chromium-rel-linux/%{svnver}/chrome-linux.zip
Source0:    chrome-linux32.zip
# Source0-md5:	7b5c41e3a558857cfc07ff8084a57d68
# sh get_sources.sh
#Source1:	http://build.chromium.org/buildbot/snapshots/chromium-rel-linux-64/%{svnver}/chrome-linux.zip
Source1:    chrome-linux64.zip
# Source1-md5:	a5172b62106850b7e3c417a61fe6f0de
Source2:	chromium-browser.sh
Source3:	chromium-browser.desktop
Source4:	find-lang.sh
Source5:    get_sources.sh
BuildRequires:	rpmbuild(macros) >= 1.453
BuildRequires:	unzip
Requires:	browser-plugins >= 2.0
Requires:	nspr
Requires:	nss
Requires:	xdg-utils
Provides:	wwwbrowser
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		find_lang 	sh find-lang.sh %{buildroot}

%define		_enable_debug_packages	0
%define		no_install_post_strip	1

%define		nss_caps	libfreebl3.so libnss3.so libnssckbi.so libsmime3.so ibsoftokn3.so libssl3.so libnssutil3.so
%define		nspr_caps	libnspr4.so libplc4.so libplds4.so
%define		ffmpeg_caps	libffmpegsumo.so

# list of script capabilities (regexps) not to be used in Provides
%define		_noautoprov		%{nss_caps} %{nspr_caps} %{ffmpeg_caps}
%define		_noautoreq		%{_noautoprov}

%description
Chromium is an open-source web browser, powered by WebKit.

%prep
%ifarch %{ix86}
%setup -qcT -a0
%endif
%ifarch %{x8664}
%setup -qcT -a1
%endif
%{__sed} -e 's,@localedir@,%{_libdir}/%{name},' %{SOURCE4} > find-lang.sh

mv chrome-linux/product_logo_48.png .
mv chrome-linux/chromium-browser.1 .
mv chrome-linux/chrome-wrapper .
mv chrome-linux/{chrome,chromium-browser}
chmod a+x chrome-linux/lib*.so*

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/%{name}/plugins,%{_mandir}/man1,%{_pixmapsdir},%{_desktopdir},%{_libdir}/%{name}/themes}

install -p %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/chromium-browser
%{__sed} -i -e 's,@libdir@,%{_libdir}/%{name},' $RPM_BUILD_ROOT%{_bindir}/chromium-browser
cp -a chrome-linux/* $RPM_BUILD_ROOT%{_libdir}/%{name}
cp -a chromium-browser.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -a product_logo_48.png $RPM_BUILD_ROOT%{_pixmapsdir}/chromium-browser.png
cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}

%browser_plugins_add_browser %{name} -p %{_libdir}/%{name}/plugins

# nspr symlinks
for a in libnspr4.so libplc4.so libplds4.so; do
	ln -s %{_libdir}/$a $RPM_BUILD_ROOT%{_libdir}/%{name}/$a.0d
done
# nss symlinks
for a in libnss3.so libnssutil3.so libsmime3.so libssl3.so; do
	ln -s %{_libdir}/$a $RPM_BUILD_ROOT%{_libdir}/%{name}/$a.1d
done

# find locales
%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_browser_plugins

%postun
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files -f %{name}.lang
%defattr(644,root,root,755)

%{_browserpluginsconfdir}/browsers.d/%{name}.*
%config(noreplace) %verify(not md5 mtime size) %{_browserpluginsconfdir}/blacklist.d/%{name}.*.blacklist

%attr(755,root,root) %{_bindir}/chromium-browser
%{_mandir}/man1/chromium-browser.1*
%{_pixmapsdir}/chromium-browser.png
%{_desktopdir}/*.desktop
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/chrome.pak
%dir %{_libdir}/%{name}/locales
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/resources
%{_libdir}/%{name}/themes
%attr(755,root,root) %{_libdir}/%{name}/chromium-browser

# These unique permissions are intentional and necessary for the sandboxing
%attr(4555,root,root) %{_libdir}/%{name}/chrome_sandbox

# ffmpeg libs
%attr(755,root,root) %{_libdir}/%{name}/libffmpegsumo.so

# nspr/nss symlinks
%attr(755,root,root) %{_libdir}/%{name}/libnspr4.so.0d
%attr(755,root,root) %{_libdir}/%{name}/libplc4.so.0d
%attr(755,root,root) %{_libdir}/%{name}/libplds4.so.0d
%attr(755,root,root) %{_libdir}/%{name}/libnss3.so.1d
%attr(755,root,root) %{_libdir}/%{name}/libnssutil3.so.1d
%attr(755,root,root) %{_libdir}/%{name}/libsmime3.so.1d
%attr(755,root,root) %{_libdir}/%{name}/libssl3.so.1d

# bundle this copy until xdg-utils will have this itself
%attr(755,root,root) %{_libdir}/%{name}/xdg-settings

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: chromium-browser-bin.spec,v $
Revision 1.15  2009/11/20 10:09:27  paszczus
- added vip script for fetching chromium-bin sources

Revision 1.14  2009/11/20 09:42:01  paszczus
- switched to dropin.pld

Revision 1.13  2009/11/20 09:31:49  paszczus
- oops, really use SourceX instead of NoSourceX

Revision 1.12  2009/11/20 09:31:01  paszczus
- updated to 4.0.254.0 snap 32603
- NoSourceX changed to SourceX
- rel 1

Revision 1.11  2009/11/20 09:23:12  paszczus
- updated ffmpeg_caps

Revision 1.10  2009/11/19 12:19:48  glen
- added i686 support

Revision 1.9  2009/11/19 12:02:41  paszczus
- cleanup

Revision 1.8  2009/11/19 10:45:08  zbyniu
- BR: unzip

Revision 1.7  2009/11/19 10:15:43  paszczus
- updated to 4.0.253.0 snap 32507

Revision 1.6  2009/09/23 15:45:38  glen
- plugins support

Revision 1.5  2009/09/23 15:14:44  glen
- package xdg-utils for desktop integration

Revision 1.4  2009/09/23 09:37:02  glen
- back to 26800, form autofill won't crash here. noauto for ffmpeg deps

Revision 1.3  2009/09/23 09:02:09  glen
- up to 4.0.213.0 r26908
- do not strip, makes binaries invalid and dying with SIGKILL

Revision 1.2  2009/09/23 08:14:14  glen
- skip nspr/nss soname deps

Revision 1.1  2009/09/22 23:20:44  glen
- binary build, based on chromium-browser.spec
